org.eclipse.jetty.ajp

## Class Ajp13Connection

- java.lang.Object
- - org.eclipse.jetty.io.AbstractConnection
  - - org.eclipse.jetty.server.AbstractHttpConnection
    - - org.eclipse.jetty.server.BlockingHttpConnection
      - - org.eclipse.jetty.ajp.Ajp13Connection

All Implemented Interfaces:
  Connection

    public class Ajp13Connection
    extends BlockingHttpConnection

Connection implementation of the Ajp13 protocol.

XXX Refactor to remove duplication of HttpConnection

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`AbstractHttpConnection.Output, AbstractHttpConnection.OutputWriter`

### Field Summary

### Fields inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`_connector, _generator, _in, _out, _parser, _printWriter, _request, _requestFields, _response, _responseFields, _server, _uri, _writer`

### Fields inherited from class org.eclipse.jetty.io.AbstractConnection

`_endp`

### Constructor Summary

Constructors
Constructor and Description
`Ajp13Connection(Connector connector, EndPoint endPoint, Server server)`

### Method Summary

Methods
`javax.servlet.ServletInputStream` `getInputStream()` Get the inputStream from the connection.
`boolean` `isConfidential(Request request)` Find out if the request supports CONFIDENTIAL security.
`boolean` `isIntegral(Request request)` Find out if the request supports INTEGRAL security.

### Methods inherited from class org.eclipse.jetty.server.BlockingHttpConnection

`handle, handleRequest`

### Methods inherited from class org.eclipse.jetty.server.AbstractHttpConnection

`commitResponse, completeResponse, content, earlyEOF, flushResponse, getAssociatedObject, getConnector, getCurrentConnection, getGenerator, getMaxIdleTime, getOutputStream, getParser, getPrintWriter, getRequest, getRequestFields, getRequests, getResolveNames, getResponse, getResponseFields, getServer, headerComplete, include, included, isEarlyEOF, isExpecting100Continues, isExpecting102Processing, isIdle, isIncluding, isResponseCommitted, isSuspended, messageComplete, newHttpGenerator, newHttpParser, onClose, parsedHeader, reset, setAssociatedObject, setCurrentConnection, startRequest, toString`

### Methods inherited from class org.eclipse.jetty.io.AbstractConnection

`getEndPoint, getTimeStamp, onIdleExpired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Ajp13Connection

    public Ajp13Connection(Connector connector,
                   EndPoint endPoint,
                   Server server)

### Method Detail

#### isConfidential

    public boolean isConfidential(Request request)

Description copied from class: `AbstractHttpConnection`
Find out if the request supports CONFIDENTIAL security.

Overrides:
  `isConfidential` in class `AbstractHttpConnection`
Parameters:
  `request` - the incoming HTTP request
Returns:
  the result of calling `Connector.isConfidential(Request)`, or false if there is no connector

#### isIntegral

    public boolean isIntegral(Request request)

Description copied from class: `AbstractHttpConnection`
Find out if the request supports INTEGRAL security.

Overrides:
  `isIntegral` in class `AbstractHttpConnection`
Parameters:
  `request` - the incoming HTTP request
Returns:
  the result of calling `Connector.isIntegral(Request)`, or false if there is no connector

#### getInputStream

    public javax.servlet.ServletInputStream getInputStream()

Description copied from class: `AbstractHttpConnection`
Get the inputStream from the connection.

If the associated response has the Expect header set to 100 Continue, then accessing the input stream indicates that the handler/servlet is ready for the request body and thus a 100 Continue response is sent.

Overrides:
  `getInputStream` in class `AbstractHttpConnection`
Returns:
  The input stream for this connection. The stream will be created if it does not already exist.